Package docking.util

# Class AnimationUtils

java.lang.Object
docking.util.AnimationUtils

public class AnimationUtils extends Object

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `AnimationUtils.BasicAnimationDriver`
  `static class`
  `AnimationUtils.BasicAnimationPainter`
  `static class`
  `AnimationUtils.ComponentToComponentDriver`
  `static class`
  `AnimationUtils.DragonImageDriver`
  `static class`
  `AnimationUtils.FocusDriver`
  `static class`
  `AnimationUtils.PointToComponentDriver`
  `static class`
  `AnimationUtils.PulseDriver`
  `static class`
  `AnimationUtils.RotateDriver`
  `static class`
  `AnimationUtils.ShakeDriver`
  `static class`
  `AnimationUtils.SwingAnimationCallbackDriver`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static org.jdesktop.animation.timing.Animator`
  `createPaintingAnimator(Component window, AnimationPainter painter)`
  `static org.jdesktop.animation.timing.Animator`
  `executeSwingAnimationCallback(SwingAnimationCallback callback)`
  `static org.jdesktop.animation.timing.Animator`
  `focusComponent(Component component)`
  Focuses the current component by graying out all other components but the given one and bringing that component to the middle of the screen.
  `static GGlassPane`
  `getGlassPane(Component c)`
  Returns the `GGlassPane` for the given component
  `static boolean`
  `isAnimationEnabled()`
  Returns true if animation is enabled; false if animation has been disable, such as by a user option
  `static org.jdesktop.animation.timing.Animator`
  `pulseAndShakeComponent(Component component)`
  `static org.jdesktop.animation.timing.Animator`
  `pulseComponent(Component component)`
  `static org.jdesktop.animation.timing.Animator`
  `pulseComponent(Component component, int pulseCount)`
  `static org.jdesktop.animation.timing.Animator`
  `rotateComponent(Component component)`
  `static void`
  `setAnimationEnabled(boolean enabled)`
  Enables animation for all tools in the Ghidra universe.
  `static org.jdesktop.animation.timing.Animator`
  `shakeComponent(Component component)`
  `static org.jdesktop.animation.timing.Animator`
  `showTheDragonOverComponent(Component component)`
  `static org.jdesktop.animation.timing.Animator`
  `transitionFromComponentToComponent(Component fromComponent, Component toComponent)`
  `static org.jdesktop.animation.timing.Animator`
  `transitionUserFocusToComponent(Component activeComponent, Component toFocusComponent)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### isAnimationEnabled

    public static boolean isAnimationEnabled()
    Returns true if animation is enabled; false if animation has been disable, such as by a user option
    Returns:
      true if enabled

  - ### setAnimationEnabled

    public static void setAnimationEnabled(boolean enabled)
    Enables animation for all tools in the Ghidra universe.
    Parameters:
      `enabled` - true if animations should be used

  - ### focusComponent

    public static org.jdesktop.animation.timing.Animator focusComponent(Component component)
    Focuses the current component by graying out all other components but the given one and bringing that component to the middle of the screen.
    Parameters:
      `component` - The component to focus
    Returns:
      the new animator

  - ### transitionUserFocusToComponent

    public static org.jdesktop.animation.timing.Animator transitionUserFocusToComponent(Component activeComponent, Component toFocusComponent)

  - ### transitionFromComponentToComponent

    public static org.jdesktop.animation.timing.Animator transitionFromComponentToComponent(Component fromComponent, Component toComponent)

  - ### createPaintingAnimator

    public static org.jdesktop.animation.timing.Animator createPaintingAnimator(Component window, AnimationPainter painter)

  - ### shakeComponent

    public static org.jdesktop.animation.timing.Animator shakeComponent(Component component)

  - ### rotateComponent

    public static org.jdesktop.animation.timing.Animator rotateComponent(Component component)

  - ### pulseComponent

    public static org.jdesktop.animation.timing.Animator pulseComponent(Component component)

  - ### pulseComponent

    public static org.jdesktop.animation.timing.Animator pulseComponent(Component component, int pulseCount)

  - ### pulseAndShakeComponent

    public static org.jdesktop.animation.timing.Animator pulseAndShakeComponent(Component component)

  - ### showTheDragonOverComponent

    public static org.jdesktop.animation.timing.Animator showTheDragonOverComponent(Component component)

  - ### executeSwingAnimationCallback

    public static org.jdesktop.animation.timing.Animator executeSwingAnimationCallback(SwingAnimationCallback callback)

  - ### getGlassPane

    public static GGlassPane getGlassPane(Component c)
    Returns the `GGlassPane` for the given component
    Parameters:
      `c` - the component
    Returns:
      the glass pane